Package com.independentsoft.graph.sites

# Class TextColumn

java.lang.Object
com.independentsoft.graph.sites.Column
com.independentsoft.graph.sites.TextColumn

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class TextColumn extends Column

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextColumn()`
  `TextColumn​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `allowMultipleLines()`
  `boolean`
  `appendChangesToExistingText()`
  `int`
  `getLinesForEditing()`
  `int`
  `getMaxLength()`
  `TextType`
  `getTextType()`
  `void`
  `setAllowMultipleLines​(boolean allowMultipleLines)`
  `void`
  `setAppendChangesToExistingText​(boolean appendChangesToExistingText)`
  `void`
  `setLinesForEditing​(int linesForEditing)`
  `void`
  `setMaxLength​(int maxLength)`
  `void`
  `setTextType​(TextType textType)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TextColumn

    public TextColumn()

  - ### TextColumn

    public TextColumn​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### allowMultipleLines

    public boolean allowMultipleLines()

  - ### setAllowMultipleLines

    public void setAllowMultipleLines​(boolean allowMultipleLines)

  - ### appendChangesToExistingText

    public boolean appendChangesToExistingText()

  - ### setAppendChangesToExistingText

    public void setAppendChangesToExistingText​(boolean appendChangesToExistingText)

  - ### getLinesForEditing

    public int getLinesForEditing()

  - ### setLinesForEditing

    public void setLinesForEditing​(int linesForEditing)

  - ### getMaxLength

    public int getMaxLength()

  - ### setMaxLength

    public void setMaxLength​(int maxLength)

  - ### getTextType

    public TextType getTextType()

  - ### setTextType

    public void setTextType​(TextType textType)